GETDIRENTRIES(3)

NAME
getdirentries - get directory entries in a filesystem independent format

SYNOPSIS
#include <dirent.h>

ssize_t getdirentries(int fd, char *buf, size_t nbytes , off_t *basep);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

getdirentries(): _BSD_SOURCE || _SVID_SOURCE

DESCRIPTION
Read directory entries from the directory specified by fd into buf. At most nbytes are read. Reading starts at offset *basep, and *basep is updated with the new position after reading.

RETURN VALUE
getdirentries() returns the number of bytes read or zero when at the end of the directory. If an error occurs, -1 is returned, and errno is set appropriately.

ERRORS
See the Linux library source code for details.

CONFORMING TO
Not in POSIX.1-2001. Present on the BSDs, and a few other systems. Use opendir(3) and readdir(3) instead.

SEE ALSO
lseek(2), open(2)

COLOPHON
This page is part of release 2.72 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.